Get a prompt partial by ID or slug
curl --request GET \
--url https://api.portkey.ai/v1/prompts/partials/{promptPartialId} \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/prompts/partials/{promptPartialId}"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/prompts/partials/{promptPartialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"string": "<string>",
"version": 123,
"version_description": "<string>",
"prompt_partial_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "active"
}Retrieve Partial
GET
/
prompts
/
partials
/
{promptPartialId}
Get a prompt partial by ID or slug
Authorizations
Path Parameters
Response
Prompt partial details
Last modified on March 25, 2026
Was this page helpful?
⌘I

